Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class SavedByTable

    java.lang.Object
      org.apache.poi.hwpf.model.SavedByTable

    public final class SavedByTable

extends java.lang.Object

String table containing the history of the last few revisions ("saves") of the document. Read-only for the time being.

Author:
  Daniel Noll

Constructor Summary
`SavedByTable(byte[] tableStream, int offset, int size)` Constructor to read the table from the table stream.

Method Summary
`java.util.List` | `getEntries()` Gets the entries.
`void` | `writeTo(HWPFOutputStream tableStream)` Writes this table to the table stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SavedByTable

    public SavedByTable(byte[] tableStream,
                        int offset,
                        int size)

  Constructor to read the table from the table stream.

  Parameters:
    `tableStream` - the table stream.
    `offset` - the offset into the byte array.
    `size` - the size of the table in the byte array.

Method Detail

### getEntries

    public java.util.List getEntries()

  Gets the entries. The returned list cannot be modified.

  Returns:
    the list of entries.

### writeTo

    public void writeTo(HWPFOutputStream tableStream)
                 throws java.io.IOException

  Writes this table to the table stream.

  Parameters:
    `tableStream` - the table stream to write to.
  Throws:
    `java.io.IOException` - if an error occurs while writing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.